Loading...
Searching...
No Matches
Graph::EdgeIt Class Reference

## Detailed Description

This iterator goes through each edge of the graph. Its usage is quite simple, for example, you can count the number of edges in a graph `g` of type `Graph` as follows:

int count=0;
for(Graph::EdgeIt e(g); e!=INVALID; ++e) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32

`#include <lemon/concepts/graph.h>`

## Public Member Functions

| EdgeIt ()
| Default constructor.
| EdgeIt (const EdgeIt &e)
| Copy constructor.
| EdgeIt (Invalid)
| Invalid constructor & conversion.
| EdgeIt (const Graph &)
| Sets the iterator to the first edge.
| EdgeIt (const Graph &, const Edge &)
| Sets the iterator to the given edge.
EdgeIt & | operator++ ()
| Next edge.

## Constructor & Destructor Documentation

## EdgeIt() [1/5]

EdgeIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## EdgeIt() [2/5]

EdgeIt | ( | const EdgeIt & | e | ) |

inline

Copy constructor.

## EdgeIt() [3/5]

EdgeIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## EdgeIt() [4/5]

EdgeIt | ( | const Graph & |  | ) |

inline explicit

Sets the iterator to the first edge of the given graph.

## EdgeIt() [5/5]

EdgeIt | ( | const Graph & | ,
|  | const Edge & | )

inline

Sets the iterator to the given edge of the given graph.

## Member Function Documentation

## operator++()

EdgeIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next edge.